The OpenGL based viewer can read PDF, XPS, CBZ, EPUB, and FB2 documents. It compiles on any platform that has a GLUT library. The latest release builds on Linux, Windows, and MacOS.

## Command Line Options

    mupdf-gl [options] document [page]

-p password
  The password needed to open a password protected PDF file.
-r resolution
  Set the initial zoom level, specified as DPI. The default value is 72.
-W width
  Set the page width in points for EPUB layout.
-H height
  Set the page height in points for EPUB layout.
-S size
  Set the default font size in points for EPUB layout.
-U stylesheet
  Specify a CSS file containing user styles to load for EPUB layout.
-X
  Ignore publisher styles for EPUB layout.

## Mouse Bindings

The middle mouse button (scroll wheel button) pans the document view.

The right mouse button selects a region and copies the marked text to the clipboard.

## Key Bindings

Several commands can take a number argument entered before the key, to modify the command. For example, to zoom to 150 dpi, type "150z".

F1 | Display help.
i | Display document metadata.
o | Toggle display of outline.
L | Toggle display of links.
r | Reload document.
q | Quit viewer.
f | Toggle fullscreen.
w | Shrinkwrap window to fit page.
W | Fit page width to window.
H | Fit page height to window.
Z | Fit page size to window.
[number] z | Set zoom resolution in DPI.
+ | Zoom in.
- | Zoom out.
[ | Rotate counter-clockwise.
] | Rotate clockwise.
[arrows] or h, j, k, l | Pan page in small increments.
b | Smart move one screenful backward.
[space] | Smart move one screenful forward.
[comma] or [page up] | Go one page backward.
[period] or [page down] | Go one page forward.
< | Go 10 pages backward.
> | Go 10 pages forward.
[number] g | Go to page number.
G | Go to last page.
m | Save current page to navigation history.
t | Go back in navigation history.
T | Go forward in navigation history.
[number] m | Save current page in numbered bookmark.
[number] t | Go to numbered bookmark.
/ | Start searching forward.
? | Start searching backward.
n | Continue searching forward.
N | Continue searching backward.